码迷,mamicode.com
首页 > 数据库 > 详细

Mac环境下升级gcc版本--rocksdb

时间:2018-02-28 14:11:19      阅读:4191      评论:0      收藏:0      [点我收藏+]

标签:strong   upd   环境安装   form   run   set   highlight   col   图片   

 

前言


在mac环境下编译rocksdb,需要配置依赖的编译环境,其中有一项比较麻烦:c++编译要支持C++11,但是在mac环境安装xcode-select --install之后,已经安装有了gcc-4.2.1,而且不容易升级,因为已经存在/usr/bin/gcc,想覆盖这个命令文件比较麻烦。

 

OS X:

Install latest C++ compiler that supports C++ 11:
Update XCode: run xcode-select --install (or install it from XCode App‘s settting).
Install via homebrew.
If you‘re first time developer in MacOS, you still need to run: xcode-select --install in your command line.
run brew tap homebrew/versions; brew install gcc48 --use-llvm to install gcc 4.8 (or higher).
run brew install rocksdb

 

升级gcc-4.9


 访问gcc官网你会发现gcc的最高版本已经是gcc-7.3,但是在这篇文章里,我们安装gcc-4.9,如果需要安装更高的版本gcc,其实方法都是一样的。

技术分享图片

1. 先查下homebrew库中存在的gcc版本

http://formulae.brew.sh/search/gcc

 

  技术分享图片

会发现版本有gcc、[email protected][email protected][email protected]

2. 安装[email protected],这一步比较慢,耐心等待

 brew install gcc@4.9

 

3. 设置别名

  编辑~/.zshrc,在最后加上如下代码

alias gcc="gcc-4.9"
alias g++="g++-4.9"
alias cc="gcc-4.9"
alias c++="c++-4.9"

 

4. 关闭控制台,重新打开一个控制台,查看gcc 版本

gcc -v

技术分享图片

 

Mac环境下升级gcc版本--rocksdb

标签:strong   upd   环境安装   form   run   set   highlight   col   图片   

原文地址:https://www.cnblogs.com/iscodercn/p/8482975.html

(0)
(0)
   
举报
评论 一句话评论(0
0条  
登录后才能评论!
© 2014 mamicode.com 版权所有 京ICP备13008772号-2
迷上了代码!